Get store by ID
curl --request GET \
--url https://api.komerza.com/stores/{storeId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.komerza.com/stores/{storeId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.komerza.com/stores/{storeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"code": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"url": "\n store\n ",
"currencyCode": "<string>",
"prependProductNameToReceipt": true,
"isAutomaticReviewsEnabled": true,
"rating": 123,
"domain": "<string>",
"isCustomerBalanceEnabled": true,
"isBalanceTopUpEnabled": true,
"isSplitPaymentEnabled": true,
"branding": {
"bannerFileName": "<string>",
"iconFileName": "<string>",
"accentColor": "<string>"
},
"isTicketingEnabled": true,
"showPublicStats": true,
"showRecentOrderToasts": true,
"enableCartRecovery": true,
"isInactive": true,
"customDomain": "<string>",
"scopes": [
"<string>"
],
"maintenanceReason": "<string>",
"termsOfServiceUrl": "<string>",
"refundPolicyUrl": "<string>",
"privacyPolicyUrl": "<string>",
"affiliateOptions": {
"isEnabled": true,
"defaultReturnPercentage": 50,
"canConvertAffiliateBalance": true,
"isPublicRegistrationEnabled": true,
"isLinkEditingEnabled": true,
"defaultPercentageOff": 50
},
"externalSupportUrl": "<string>",
"externalSupportDescription": "<string>",
"lastOrderAt": "2023-11-07T05:31:56Z"
}
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}Stores
Get Store
Retrieves the specified store’s reference information.
Requires the stores.view permission.
GET
/
stores
/
{storeId}
Get store by ID
Authorizations
Your API key goes here
Path Parameters
The ID of the store to retrieve.
Response
The object was successfully returned.
Represents a default generic response for API endpoints.
Indicates whether the operation or response was successful.
A descriptive message providing additional context or information about the response.
The error code (if there was an error) to use when referencing the error
A reference to a store which is owned by a merchant that can be used as a front for selling products to customers
Show child attributes
Show child attributes
Last modified on August 29, 2025
⌘I